/*
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
*/
function MenuItem(strFilename, strTitle, strDescription)
{	this.strFilename = strFilename;
	this.strTitle = strTitle;
	this.strDescription = strDescription;
}
var menuMain = new Array(new MenuItem("status.asp",	"Status",	"View information about the router"),
			new MenuItem("log.asp",		"Log",		"View the router's activity log"),
			new MenuItem("wan.asp",		"Internet",	"Configure the router's connection to the Internet"),
			new MenuItem("security.asp",	"Security",	"Configure the router's security settings"),
			new MenuItem("firewall.asp",	"Firewall",	"Configure the router's firewall settings"),
			new MenuItem("wireless.asp",	"Wireless",	"Configure the router's wireless settings"),
			new MenuItem("lan.asp",		"LAN",		"Configure the router's LAN settings"),
			new MenuItem("device.asp",	"Device",	"Manage the router")
			);
function WeekdayName(ix)
{	switch (ix)
	{	case 0:	return "Sunday";	break;
		case 1:	return "Monday";	break;
		case 2:	return "Tuesday";	break;
		case 3:	return "Wednesday";	break;
		case 4:	return "Thursday";	break;
		case 5:	return "Friday";	break;
		case 6:	return "Saturday";	break;
		default: return "<unknown>";	break;
	}
}
function manageWANoptions()
{      		var radios = document.idForm.optModem;
		setVisibility('idCablePrompts', radios[0].checked);
		setVisibility('idADSLprompts', radios[1].checked);
		if (document.idForm.chkHaveStaticIP != null)
			setVisibility('idStaticIPfields', document.idForm.chkHaveStaticIP.checked);
}
function check_firewall()
{	if (!document.idForm.chkFirewall.checked)
		document.idForm.fw_disable.value="1";
}
function setup_wanproto(s)
{	var radios = document.idForm.optModem;
	if (s == 1)
	{	var value = document.idForm.wan_pppoe_idletime.value;
		document.idForm.wan_pppoe_idletime.value = value * 60;
	}
	if (radios[0].checked) {
		document.idForm.wan_proto.value = "dhcp";
		if (document.idForm.chkHaveStaticIP.checked)
			document.idForm.wan_proto.value = "static";
		else {
			document.idForm.wan_ipaddr.value = "0.0.0.0";
			document.idForm.wan_netmask.value = "0.0.0.0";
			document.idForm.wan_gateway.value = "0.0.0.0";
			document.idForm.wan_dns.value = "";
			document.idForm.wan_wins.value = "";
		}
	}
	if (radios[1].checked) {
		document.idForm.wan_proto.value = "pppoe";
		document.idForm.wan_ipaddr.value = "0.0.0.0";
		document.idForm.wan_netmask.value = "0.0.0.0";
		document.idForm.wan_gateway.value = "0.0.0.0";
		document.idForm.wan_dns.value = "";
		document.idForm.wan_wins.value = "";
		if (document.idForm.chkCxn != null) {
			if (document.idForm.chkCxn.checked)
				document.idForm.connection.value = "demand";
		}
		if (document.idForm.chkStaticPPP != null) {
			if (document.idForm.chkStaticPPP.checked)
				document.idForm.wan_pppoe_static.value = "1";
		}
	}
	if (document.idForm.chkUsePPTP != null)
	{	if (document.idForm.chkUsePPTP.checked)
			document.idForm.wan_pptp_activated.value = "1";
		if (document.idForm.chkRemoteAccess != null) {
			if (!document.idForm.chkRemoteAccess.checked)
			document.idForm.http_wanport.value = "";
		}
	}
}

function tableDeleteRowDDNS(objTable, ixRow, strIDnotice)
{	tableDeleteRow(objTable, ixRow);
	setVisibility(strIDnotice, true);
}
var reService = "(.*?)";
var reHost = "(.*?)";
var reUser = "(.*?)";
var rePass = "(.*?)";
var reActive = "(.*?)";
var reStat = "(.*?)";
var reLink = "(.*?)";

function fctFormatRowDDNS(objTable, row)
{	var aRow = objTable.aRows[row];
	var strHTML = "<tr valign=\"top\">";
	strHTML += "<td><input type=\"checkbox\"" + (aRow[0] == "on" ? " checked" : "") + " onclick=\"tableModifyValue(" + objTable.strThis + ", " + row + ", 0);\">";
	strHTML += "<input type=\"hidden\" name=\"" + objTable.aVarNamePrefixes[0] + row + "\" value=\"" + aRow[0] + "\">";
	strHTML += "<\/td>";
	strHTML += "<td class=\"clsEntry\">";
	strHTML += aRow[1];
	strHTML += "<input type=\"hidden\" name=\"" + objTable.aVarNamePrefixes[1] + row + "\" value=\"" + aRow[1] + "\">";
	strHTML += "<\/td>";
	strHTML += "<td class=\"clsEntry\">";
	strHTML += aRow[2];
	strHTML += "<input type=\"hidden\" name=\"" + objTable.aVarNamePrefixes[2] + row + "\" value=\"" + aRow[2] + "\">";
	strHTML += "<\/td>";
	strHTML += "<td class=\"clsEntry\">";
	strHTML += aRow[3];
	strHTML += "<input type=\"hidden\" name=\"" + objTable.aVarNamePrefixes[3] + row + "\" value=\"" + aRow[3] + "\">";
	strHTML += "<\/td>";
	strHTML += "<td class=\"clsEntry\">";
	strHTML += aRow[4];
	strHTML += "<input type=\"hidden\" name=\"" + objTable.aVarNamePrefixes[4] + row + "\" value=\"" + aRow[4] + "\">";
	strHTML += "<\/td>";
	strHTML += "<td class=\"clsEntry\">";
	strHTML += aRow[5];
	strHTML += "<input type=\"hidden\" name=\"" + objTable.aVarNamePrefixes[5] + row + "\" value=\"" + aRow[5] + "\">";
	strHTML += "<\/td>";
	strHTML += "<td>";
	strHTML += "<input type=\"button\" value=\"Delete\" class=\"clsSmall\" onclick=\"tableDeleteRowDDNS(" + objTable.strThis + ", " + row + ", 'idChangesDDNS');\">";
	strHTML += "<\/td>";
	strHTML += "<td class=\"clsEntry\">";
	strHTML += "<a href=\"http:\/\/" + aRow[6] + "\" target=\"_new\">Manage<\/a>";
	strHTML += "<\/td>"
	strHTML += "<\/tr>";
	return strHTML;
}

function tableAddRowDDNS()
{	
	var link = "";
	var service = document.idForm.ddnsService.value;
	
	if (service == "dyndns")
		link = "www.dyndns.org";
	else if (service == "dtdns")
		link = "www.dtdns.net";
	else if (service == "noip")
		link = "www.no-ip.com";
	else if (service == "tzo")
		link = "www.tzo.com";
		
	var aRowNew = new Array(	"on",
				document.idForm.ddnsService.value,
				document.idForm.ddnsHostname.value,
				document.idForm.ddnsUsername.value,
				document.idForm.ddnsPasswd.value,
					"inactive",
				link
			);
	
	if (validateDataDDNS(aRowNew) && !tableIsDuplicateRow(objTableDDNS, aRowNew))
	{	tableAddRow(objTableDDNS, aRowNew);
		setVisibility("idChangesDDNS", true);
	}
}

/*
	Returns true if the passed string is :.
*/
function containsColon(str)
{
   return (str.indexOf(":") >= 0);
}
	
function validateDataDDNS(aRow)
{
	var strField = "";
	var strColon = "";
	
	if (aRow[1] == "")
		strField = "Provider";
	else if (aRow[2] == "")
		strField = "Host name";
	else if (aRow[3] == "")
		strField = "User name";
	else if (aRow[4] == "") 
		strField = "Password";
	
	if (containsColon(aRow[1]))
		strColon = ":";
	else if (containsColon(aRow[2]))
		strColon = ":";
	else if (containsColon(aRow[3]))
		strColon = ":";
	else if (containsColon(aRow[4]))
		strColon = ":";
		
	var strMsg1 = "";
	var strMsg2 = "";
	
	if (strField != "")
		strMsg1 = "Please enter a value for " + strField + ".";
	if (strColon != "")
		strMsg2 = "Please do not use : character.";
			
	if ((strMsg1 == "") && (strMsg2 == ""))
		return true;
	alert(strMsg1);
	alert(strMsg2);
	return false;
}
