<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Status :: USRobotics Wireless MAXg Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
<script type="text/javascript" src="prototype.js"></script>
	<script type="text/javascript">
<!--
function hasWANconnection()
{	var ip = "<% nvram_get("wan0_ipaddr"); %>";
	var ip_pptp = "<% nvram_get("wan_pptp_ipaddr"); %>";
	var dns = "<% nvram_get("wan0_dns"); %>";
	var pptp_dns = "<% nvram_get("wan_pptp_dns"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp == "1") {
		if ((ip_pptp != "0.0.0.0") && (pptp_dns != "0.0.0.0 0.0.0.0 0.0.0.0") &&
		 (ip_pptp != "") && (pptp_dns != ""))
		 	return true;
		else
			return false;
	}
	if ((ip != "0.0.0.0") && (dns != "0.0.0.0 0.0.0.0 0.0.0.0") &&
	    (ip != "") && (dns != ""))
		return true;
	return false;
}
function isDynamicIPenabled()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if ((proto == "dhcp") || (proto == "pppoe") || (pptp == "1"))
		return true;
	return false;
}
function manageWANconnection()
{
	var bCxn = hasWANconnection();
	var wan_cnx = "<% wan_link(); %>";
	
	if (!isDynamicIPenabled())
		$("idInternetCxn").update("");
	else if ((wan_cnx == "Disconnected") || (wan_cnx == "N/A") || !bCxn)
		$("idInternetCxn").update("The router is <b>not connected</b> to the Internet. You can configure the connection on the <a href=\"wan.asp\"><b>Internet</b></a> page. You should also check all connections to ensure the devices are connected properly.").addClassName("clsNotice");
	else if (wan_cnx == "Connecting")
		$("idInternetCxn").update("The router is <b>connecting</b>. Wait a few seconds and refresh the page to get the status of your connection.");
	else
		$("idInternetCxn").update("The router has <b>connected</b> to your ISP.");
}
function manageReleaseRenew()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if ((proto == "dhcp") && (pptp != "1"))
	{
		$("idLease").show();
		$("idRenew").show();
	}
}
function get_key()
{	var idx = <% nvram_get("wl0_key"); %>;
	if (idx == 1)
		return "<% nvram_get("wl0_key1"); %>";
	if (idx == 2)
		return "<% nvram_get("wl0_key2"); %>";
	if (idx == 3)
		return "<% nvram_get("wl0_key3"); %>";
	if (idx == 4)
		return "<% nvram_get("wl0_key4"); %>";
	else
		return "";
}
function get_encryption()
{	var encrypt = "<% nvram_get("cbEncryption"); %>";
	if (encrypt == "tkip+aes")
		return "TKIP and AES";
	if (encrypt == "aes")
		return "AES";
	if (encrypt == "tkip")
		return "TKIP";
	else
		return "None";
}
function get_method()
{	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	if (auth == "wpa12")
		return "WPA2 and WPA (PSK)";
	if (auth == "wpa2")
		return "WPA2 (PSK)";
	if (auth == "wpa")
		return "WPA (PSK)";
	if (auth == "open")
		return "WEP open";
	if (auth == "shared")
		return "WEP shared";
	if (auth == "none")
		return "None";
	if (auth == "radius-wpa12")
		return "WPA2 and WPA with 802.1x (RADIUS)";
	if (auth == "radius-wpa2")
		return "WPA2 with 802.1x (RADIUS)";
	if (auth == "radius-wpa")
		return "WPA with 802.1x (RADIUS)";
	else
		return "";
}
function initializePage()
{
	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	var radio = <% nvram_get("wl0_radio"); %>;
	if ((auth == "wpa12") || (auth == "wpa2") || (auth == "wpa")) {
		$("idEncrypt").show();
		$("idKey1").show();
	}
	else if ((auth == "open") || (auth == "shared")) {
			$("idKey2").show();
	}
	else if	((auth == "radius-wpa12") || (auth == "radius-wpa2") || (auth == "radius-wpa")) {
		$("idEncrypt").show();
		$("idRadiusserver").show();
		$("idRadiusport").show();
		$("idRadiuskey").show();
	}
	if (radio) {
		$("idRadio1").show();
		$("idRadio2").show();
		$("idRadio3").show();
		$("idRadio4").show();
		$("idRadio5").show();
	}
}
function get_wds()
{	var wds = <% nvram_get("wl0_lazywds"); %>;
	if (wds)
		return "Disabled";
	return "Enabled";
}
function get_ssid()
{	var ssid = <% nvram_get("wl0_closed"); %>;
	if (ssid)
		return "Disabled";
	return "Enabled";
}
function get_MACmode()
{	var mac = "<% nvram_get("wl0_macmode"); %>";
	if (mac == "disabled")
		return "Disabled";
	if (mac == "allow")
		return "Allow";
	if (mac == "deny")
		return "Deny";
}
function get_wan()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp == "1")
		return "PPTP";
	if (proto == "dhcp")
		return "DHCP";
	if (proto == "pppoe")
		return "PPPoE";
	if (proto == "static")
		return "Static";
	if (proto == "disabled")
		return "Disabled";
}
function get_wanip()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var dns = "<% nvram_get("wan0_dns"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if ((proto == "pppoe") && (dns =="0.0.0.0 0.0.0.0 0.0.0.0"))
		return "0.0.0.0";
	if (pptp != "1")
		return "<% nvram_get("wan0_ipaddr"); %>";
	else
		return "<% nvram_get("wan_pptp_ipaddr"); %>";
}
function get_wanmask()
{	var proto = "<% nvram_get("wan0_proto"); %>";
	var dns = "<% nvram_get("wan0_dns"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if ((proto == "pppoe") && (dns =="0.0.0.0 0.0.0.0 0.0.0.0"))
		return "0.0.0.0";
	if (pptp != "1")
		return "<% nvram_get("wan0_netmask"); %>";
	else
		return "<% nvram_get("wan_pptp_netmask"); %>";
}
function get_gateway()
{	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp != "1")
		return "<% nvram_get("wan0_gateway"); %>";
	else
		return "<% nvram_get("wan_pptp_gateway"); %>";
}
function get_dns1()
{	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp != "1")
		return "<% nvram_list("wan0_dns", 0); %>";
	else
		return "<% nvram_list("wan_pptp_dns", 0); %>";
}
function get_dns2()
{	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp != "1")
		return "<% nvram_list("wan0_dns", 1); %>";
	else
		return "<% nvram_list("wan_pptp_dns", 1); %>";
}
function get_radio()
{	var radio = <% nvram_get("wl0_radio"); %>;
	if (radio)
		return "Enabled";
	return "Disabled";
}


function doRenew(eltForm)
{
	$("idWANip").update("");
	$("idWANnetmask").update("");
	$("idWANgateway").update("");
	$("idWANDNS1").update("");
	$("idWANDNS2").update("");
	$("idWANlease").update("");

	new Ajax.Request("renew.cgi",
							{
								method:		"post",
								parameters:	$(eltForm).serialize(true /*return hash*/),
								onSuccess:	_onGetResults,
								onFailure:	_onNoResults
							});

	$("idRenewResults").update("Please wait&hellip;");
	$("btnRenew").disable();

	return false;
}

function _onGetResults(http)
{
	$("btnRenew").enable();

	var obj = getResponseText(http);
	if (obj == null)
		return;

	if (obj.message != "")
		$("idRenewResults").update(obj.message);
	else
		$("idRenewResults").update("Lease renewed.");
}

function _onNoResults(http)
{
	$("btnRenew").enable();
	$("idRenewResults").update("Error");
}


window.onload = function()
{
	/*
		If WPS is off, external registrar is off, device is configured,
		or WPS process isn't running, remove the PIN.
	*/
	var bWPS = ("<% nvram_get("wl_wsc_mode"); %>" == "enabled");	// "enabled" or "disabled"
	var bInternalRegistrar = ("<% nvram_get("wl_wsc_reg"); %>" == "enabled");	// "enabled" or "disabled"
	var bConfigured = ("<% nvram_get("wsc_config_state"); %>" == "1");	// "0" or "1"
	if (!bWPS || bInternalRegistrar || bConfigured)
		$("idWPSPIN").remove();

	manageWANconnection();
	manageReleaseRenew();
	initializePage();

	// call callback manually because PE delays before first call
	new Ajax.Request("getvar.cgi",
							{
								parameters:	{ name: "statuspage" },
								onSuccess:	_onUpdateStatus
							});
	new PeriodicalExecuter(function(objPE)
									{
										new Ajax.Request("getvar.cgi",
																{
																	parameters:	{ name: "statuspage" },
																	onSuccess:	_onUpdateStatus
																});
									}, 5);	// seconds
}

var templateClientRow = new Template(
			"<tr class=\"clsNote\">" +
			"	<td>#{type}</td>" +
			"	<td>#{name}</td>" +
			"	<td>#{mac}</td>" +
			"	<td>#{ip}</td>" +
			"	<td>#{expires}</td>" +
			"</tr>");

function _onUpdateStatus(http)
{
	var obj = getResponseText(http);
	if (obj == null)
		return;

	// Update local time
	$("idLocalTime").update(obj.localtime);

	// Update printer status
	$("idPrinterStatus").update(obj.printerstatus);

	/*
		Update WAN DHCP lease

		We can do this while renewing because the router
		won't respond until it's done renewing.
	*/
	if (obj.message != "")
		$("idWANlease").update("");
	else
	{
		$("idWANip").update(obj.ip);
		$("idWANnetmask").update(obj.subnet);
		$("idWANgateway").update(obj.gateway);
		var dns_servers = obj.dns.strip().split(" ");
		if (dns_servers.length > 0)
		{
			$("idWANDNS1").update(dns_servers[0]);
			if (dns_servers.length > 1)
				$("idWANDNS2").update(dns_servers[1]);
		}
		// Not using obj.wins

		// obj.expires is string representation of time span
		$("idWANlease").update(obj.expires);
	}

	/*
		Update DHCP client list
	*/
	var strTableBody = "";
	obj.clients.each(function(objClient)
							{
								strTableBody += templateClientRow.evaluate(objClient);
							});
	$("idTableClients").update(strTableBody);
}

//-->
</script>
</head>
<body>
<script type="text/javascript">
	writeHeader();
</script>
<noscript>
	<p class="clsNotice">The USRobotics Wireless <i>MAX</i>g Router uses scripting to display
	its data correctly. This browser either doesn't support scripting or has
	scripting disabled. Please refer to your browser's documentation for instructions
	on how to enable scripting.
	</p>
</noscript>
<p id="idInternetCxn"></p>

<div id="idHelpOpen" style="display: none;" onclick="$('idHelpOpen').hide(); $('idPanelHelp').show();">?</div>
<div id="idPanelHelp">
   <div id="idHelpClose" onclick="$('idPanelHelp').hide(); $('idHelpOpen').show();">x</div>

	<p>Sharing a printer:
		<br/>
		<a class="clsNote" target="_new" href="http://www.usr.com/support/5465/5465-ug/winvista_printer.html">Vista</a>
		<br/>
		<a class="clsNote" target="_new" href="http://www.usr.com/support/5465/5465-files/printer_installation/index.html">XP/2000</a>
		<br/>
		<a class="clsNote" target="_new" href="http://www.usr.com/support/5465/5465-files/printer_installation_98me/index.html">98/Me</a>
		<br/>
		<a class="clsNote" target="_new" href="http://www.usr.com/support/5465/5465-files/printer_installation_mac/index.html">Mac OS X</a>
		<br/>
		<a class="clsNote" target="_new" href="http://www.usr.com/support/5465/5465-files/printer_installation_linux/index.html">Linux</a>
	</p>
	<p>I cannot print to the printer attached to my router.
		<br/>
		<a class="clsNote" target="_new" href="http://www.usr.com/support/5465/5465-files/printer_ts_xp/index.htm">Vista/XP/2000</a>
		<br/>
		<a class="clsNote" target="_new" href="http://www.usr.com/support/5465/5465-files/printer_ts_98/index.htm">98/Me</a>
	</p>
</div>

<table border="0">
		<tr><td colspan="2"><a href="addclient.asp">Add wireless device</a></td></tr>

		<tr><td colspan="2"><h3>Device</h3></td></tr>
		<tr><td><label>Name:</label></td>
			<td class="clsStatic">USRobotics Wireless <em>MAX</em>g Router (USR5465)</td></tr>
		<tr><td><label>Current time:</label></td>
			<td class="clsStatic" id="idLocalTime"></td></tr>
		<tr><td><label>Firmware:</label></td>
			<td class="clsStatic"><% nvram_get("os_version"); %> (<% nvram_get("os_date"); %>)</td></tr>
		<tr><td><label>Boot loader:</label></td>
			<td class="clsStatic"><% nvram_get("pmon_ver"); %></td></tr>
		<tr><td><label>Printer status:</label></td>
			<td class="clsStatic" id="idPrinterStatus"/></tr>
		<tr><td><label>Printer location:</label></td>
			<td><span class="clsStatic">http://<% nvram_get("lan_ipaddr"); %>:1631/printers/My_Printer</span></td></tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>Security</h3></td></tr>
		<tr id="idWPSPIN"><td><label>WPS PIN:</label></td>
			<td class="clsStatic"><% nvram_get("wsc_device_pin"); %></td></tr>
		<tr><td><label>Method:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_method());</script></td></tr>
		<tr id="idEncrypt" style="display: none;">
			<td><label>Encryption:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_encryption());</script></td></tr>
		<tr id="idKey1" style="display: none;">
			<td><label>Pass phrase:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_wpa_psk"); %></td></tr>
		<tr id="idKey2" style="display: none;">
			<td><label>Key:</label></td>
			<td class="clsStatic"><script>document.write(get_key());</script></td></tr>
		<tr id="idRadiusserver" style="display: none;">
			<td><label>RADIUS server:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_ipaddr"); %></td></tr>
		<tr id="idRadiusport" style="display: none;">
			<td><label>RADIUS port:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_port"); %></td></tr>
		<tr id="idRadiuskey" style="display: none;">
			<td><label>RADIUS key:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_key"); %></td></tr>
		<tr><td><label>Wireless MAC filter:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_MACmode());</script></td></tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>Wireless</h3></td></tr>
		<tr><td><label>Wireless:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_radio());</script></tr>
		<tr id="idRadio1" style="display: none;">
			<td><label>Network name:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_ssid"); %></td></tr>
		<tr id="idRadio2" style="display: none;">
			<td><label>Broadcast name:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_ssid());</script></tr>
		<tr id="idRadio3" style="display: none;">
			<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_hwaddr"); %></td></tr>
		<tr id="idRadio4" style="display: none;">
			<td><label>Mode:</label></td>
			<td class="clsStatic"><% wl_cur_mode(); %></td></tr>
		<tr id="idRadio5" style="display: none;">
			<td class="clsLabel">WDS restrictions:</td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_wds());</script></td></tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>WAN</h3></td></tr>
		<tr><td valign="top"><label>Protocol:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_wan());</script></td></tr>
		<tr>	<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("wan0_hwaddr"); %></td></tr>
		<tr>	<td><label>IP address:</label></td>
			<td class="clsStatic" id="idWANip"><script type="text/javascript">document.write(get_wanip());</script></td></tr>
		<tr>	<td><label>Subnet mask:</label></td>
			<td class="clsStatic" id="idWANnetmask"><script type="text/javascript">document.write(get_wanmask());</script></td></tr>
		<tr>	<td><label>Gateway:</label></td>
			<td class="clsStatic" id="idWANgateway"><script type="text/javascript">document.write(get_gateway());</script></td></tr>
		<tr>	<td><label>DNS server 1:</label></td>
			<td class="clsStatic" id="idWANDNS1"><script type="text/javascript">document.write(get_dns1());</script></td></tr>
		<tr>	<td><label>DNS server 2:</label></td>
			<td class="clsStatic" id="idWANDNS2"><script type="text/javascript">document.write(get_dns2());</script></td></tr>
		<tr id="idLease" style="display: none;">
			<td><label>Lease expires:</label></td>
			<td class="clsStatic" id="idWANlease"/></tr>
		<tr id="idRenew" style="display: none;">
			<td>&nbsp;</td>
			<td>
				<form action="" onsubmit="return doRenew(this);">
					<input type="hidden" name="page" value="status.asp"/>
					<input type="submit" name="action" value="Renew" class="clsSmall" id="btnRenew"/> <span id="idRenewResults" class="clsNote"/>
				</form>
			</td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>LAN</h3></td></tr>
		<tr><td><label>IP address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_ipaddr"); %></td></tr>
		<tr>	<td><label>Subnet mask:</label></td>
			<td class="clsStatic"><% nvram_get("lan_netmask"); %></td></tr>
		<tr>	<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_hwaddr"); %></td></tr>
</table>
<h3>Clients</h3>
<table class="clsRuled">
	<thead><tr valign="bottom" align="left">
		<th>Type</th>
		<th>Name</th>
		<th>MAC Address</th>
		<th>IP Address</th>
		<th>Expiration</th>
	</tr></thead>
	<tbody id="idTableClients"/>
	<tfoot><tr></tr></tfoot>
</table>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
