/*
 * Copyright 2006, U.S. Robotics Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF
 * ANY KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S.
 * Robotics SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id$
 */
/*
 * Copyright 2006, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id$
 *
*/

#ifndef _epivers_h_
#define _epivers_h_

#include "projects.h"

#ifdef CR	/* WPS code - glibc library */

#define	EPI_MAJOR_VERSION	4

#define	EPI_MINOR_VERSION	139

#define	EPI_RC_NUMBER		6

#define	EPI_INCREMENTAL_NUMBER	1

#define	EPI_BUILD_NUMBER	2

#define	EPI_VERSION		4, 139, 6, 1, 2

#define	EPI_VERSION_NUM		0x048b060102

/* Driver Version String, ASCII, 32 chars max */
#define	EPI_VERSION_STR		"4.139.6.1.2"  /*Linux version*/
#define	EPI_ROUTER_VERSION_STR	"4.139.6.1.0"    /*CFE version*/

#else

#define	EPI_MAJOR_VERSION	4

#define	EPI_MINOR_VERSION	139

#define	EPI_RC_NUMBER		6

#define	EPI_INCREMENTAL_NUMBER	2

#define	EPI_BUILD_NUMBER	3

#define	EPI_VERSION		4, 139, 6, 2, 3

#define	EPI_VERSION_NUM		0x048b060203

/* Driver Version String, ASCII, 32 chars max */
#define	EPI_VERSION_STR		"4.139.6.2.3"    /*Linux version*/
#define	EPI_ROUTER_VERSION_STR	"4.139.6.2.0"    /*CFE version*/

#endif	/* CR */	/* non-WPS code -uclibc library */

#endif /* _epivers_h_ */

