<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Status :: USRobotics Wireless MAXg Access Point</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5451.js"></script>
	<script type="text/javascript" src="common.js"></script>
<script type="text/javascript" src="prototype.js"></script>
	<script type="text/javascript">
<!--
/* get the right WEP wireless key */
function get_key()
{
	var idx = <% nvram_get("wl0_key"); %>;

	if (idx == 1)
		return "<% nvram_get("wl0_key1"); %>";
	if (idx == 2)
		return "<% nvram_get("wl0_key2"); %>";
	if (idx == 3)
		return "<% nvram_get("wl0_key3"); %>";
	if (idx == 4)
		return "<% nvram_get("wl0_key4"); %>";
	else
		return "";
}

function get_encryption()
{
	var encrypt = "<% nvram_get("cbEncryption"); %>";

	if (encrypt == "tkip+aes")
		return "TKIP and AES";

	if (encrypt == "aes")
		return "AES";

	if (encrypt == "tkip")
		return "TKIP";
	else
		return "None";
}

function get_method()
{
	var auth = "<% nvram_get("cbAuthEncrypt"); %>";

	if (auth == "wpa12")
		return "WPA2 and WPA (PSK)";

	if (auth == "wpa2")
		return "WPA2 (PSK)";

	if (auth == "wpa")
		return "WPA (PSK)";

	if (auth == "open")
		return "WEP open";

	if (auth == "shared")
		return "WEP shared";

	if (auth == "none")
		return "None";

	if (auth == "radius-wpa12")
		return "WPA2 and WPA with 802.1x (RADIUS)";

	if (auth == "radius-wpa2")
		return "WPA2 with 802.1x (RADIUS)";

	if (auth == "radius-wpa")
		return "WPA with 802.1x (RADIUS)";
	else
		return "";
}

/* initialize radius server and key encryption fields */
function initializePage()
{
	var auth = "<% nvram_get("cbAuthEncrypt"); %>";

	if ((auth == "wpa12") || (auth == "wpa2") || (auth == "wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idKey1', true);
	}
	else if ((auth == "open") || (auth == "shared")) {
			setVisibility('idKey2', true);
	}
	else if	((auth == "radius-wpa12") || (auth == "radius-wpa2") || (auth == "radius-wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idRadiusserver', true);
		setVisibility('idRadiusport', true);
		setVisibility('idRadiuskey', true);
	}
}

/* get wds restriction */
function get_wds()
{
	var wds = <% nvram_get("wl0_lazywds"); %>;

	if (wds)
		return "Disabled";
	return "Enabled";
}

/* get ssid broadcast */
function get_ssid()
{
	var ssid = <% nvram_get("wl0_closed"); %>;

	if (ssid)
		return "Disabled";
	return "Enabled";
}

function get_MACmode()
{
	var mac = "<% nvram_get("wl0_macmode"); %>";

	if (mac == "disabled")
		return "Disabled";
	if (mac == "allow")
		return "Allow";
	if (mac == "deny")
		return "Deny";
}

window.onload = function()
{
	/*
		If WPS is off, external registrar is off, device is configured,
		or WPS process isn't running, remove the PIN.
	*/
	var bWPS = ("<% nvram_get("wl_wsc_mode"); %>" == "enabled");	// "enabled" or "disabled"
	var bInternalRegistrar = ("<% nvram_get("wl_wsc_reg"); %>" == "enabled");	// "enabled" or "disabled"
	var bConfigured = ("<% nvram_get("wsc_config_state"); %>" == "1");	// "0" or "1"
	if (!bWPS || bInternalRegistrar || bConfigured)
		$("idWPSPIN").remove();

	initializePage();

	// call callback manually because PE delays before first call
	new Ajax.Request("getvar.cgi",
							{
								parameters:	{ name: "wirelessclients" },
								onSuccess:	_onUpdateWirelessclients
							});
	new PeriodicalExecuter(function(objPE)
									{
										new Ajax.Request("getvar.cgi",
																{
																	parameters:	{ name: "wirelessclients" },
																	onSuccess:	_onUpdateWirelessclients
																});
									}, 5);	// seconds
}

var templateClientRow = new Template(
			"<tr class=\"clsNote\">" +
			"	<td>#{mac}</td>" +
			"	<td>#{association}</td>" +
			"	<td>#{authorized}</td>" +
			"	<td>#{wmmlink}</td>" +
			"	<td>#{powersave}</td>" +
			"</tr>");

function _onUpdateWirelessclients(http)
{
	var obj = getResponseText(http);
	if (obj == null)
		return;

	var strTableBody = "";
	obj.clients.each(function(objClient)
							{
								strTableBody += templateClientRow.evaluate(objClient);
							});
	$("idTableClients").update(strTableBody);
}

//-->
</script>
</head>

<body>
<script type="text/javascript">
	writeHeader();
</script>

<noscript>
	<p class="clsNotice">The USRobotics Wireless <i>MAX</i>g Access Point uses scripting to display
	its data correctly. This browser either doesn't support scripting or has
	scripting disabled. Please refer to your browser's documentation for instructions
	on how to enable scripting.
	</p>
</noscript>

<table border="0">
		<tr><td colspan="2"><a href="addclient.asp">Add wireless device</a></td></tr>

		<tr><td colspan="2"><h3>Device</h3></td></tr>
		<tr>
			<td><label>Name:</label></td>
			<td class="clsStatic">USRobotics Wireless <em>MAX</em>g Access Point (USR5455)</td>
		</tr>
		<tr>
			<td><label>Firmware:</label></td>
			<td class="clsStatic"><% nvram_get("os_version"); %> (<% nvram_get("os_date"); %>)</td>
		</tr>
		<tr>
			<td><label>Boot loader:</label></td>
			<td class="clsStatic"><% nvram_get("pmon_ver"); %></td>
		</tr>

		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>Security</h3></td></tr>
		<tr id="idWPSPIN">
			<td><label>WPS PIN:</label></td>
			<td class="clsStatic"><% nvram_get("wsc_device_pin"); %></td>
		</tr>
		<tr>
			<td><label>Method:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_method());</script></td>
		</tr>
		<tr id="idEncrypt" style="display: none;">
			<td><label>Encryption:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_encryption());</script></td>
		</tr>
		<tr id="idKey1" style="display: none;">
			<td><label>Pass phrase:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_wpa_psk"); %></td>
		</tr>
		<tr id="idKey2" style="display: none;">
			<td><label>Key:</label></td>
			<td class="clsStatic"><script>document.write(get_key());</script></td>
		</tr>
		<tr id="idRadiusserver" style="display: none;">
			<td><label>RADIUS server:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_ipaddr"); %></td>
		</tr>
		<tr id="idRadiusport" style="display: none;">
			<td><label>RADIUS port:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_port"); %></td>
		</tr>
		<tr id="idRadiuskey" style="display: none;">
			<td><label>RADIUS key:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_key"); %></td>
		</tr>
		<tr>
			<td><label>Wireless MAC filter:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_MACmode());</script></td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>Wireless</h3></td></tr>
		<tr>
			<td><label>Network name:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_ssid"); %></td>
		</tr>
		<tr>
			<td><label>Broadcast name:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_ssid());</script>
		</tr>
		<tr>
			<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_hwaddr"); %></td>
		</tr>
		<tr>
			<td class="clsLabel">WDS restrictions:</td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_wds());</script></td>
		</tr>

		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h3>LAN</h3></td></tr>
		<tr>
			<td><label>IP address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_ipaddr"); %></td>
		</tr>
		<tr>
			<td><label>Subnet mask:</label></td>
			<td class="clsStatic"><% nvram_get("lan_netmask"); %></td>
		</tr>
		<tr>
			<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_hwaddr"); %></td>
		</tr>
</table>

<h3>Clients</h3>
<table class="clsRuled">
	<thead>
		<tr valign="bottom" align="left">
			<th>MAC Address</th>
			<th>Association Time</th>
			<th>Authorised</th>
			<th>WMM Link</th>
			<th>Power Save</th>
		</tr>
	</thead>
	<tbody id="idTableClients"/>
	<tfoot><tr></tr></tfoot>
</table>
<script type="text/javascript">
	writeCopyright();
</script>
</body>
</html>

