<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>WPS :: USRobotics Wireless MAXg Access Point</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5451.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript" src="prototype.js"></script>
	<script type="text/javascript">
window.onload = function()
{
	$("idStatus").hide();

	// WPS on or off?
	var bWPS = ("<% nvram_get("wl_wsc_mode"); %>" == "enabled");	// "enabled" or "disabled"
	$("wl_wsc_mode").checked = bWPS;

	// internal or external registrar?
	var bInternalRegistrar = ("<% nvram_get("wl_wsc_reg"); %>" == "enabled");	// "enabled" or "disabled"
	$("wl_wsc_reg").checked = bInternalRegistrar;

	// configured or unconfigured state?
	var bConfigured = ("<% nvram_get("wsc_config_state"); %>" == "1");	// "0" or "1"
	$("wsc_config_state").checked = bConfigured;

	/*
		is WPS process running?
		1: starting
		2: running
		3,4: fail
		#: init
	*/
//	var bProcessUp = ("<% nvram_get("wsc_proc_status"); %>" == "2");

	//<% wsc_add(); %>
	if (!bWPS)
		$("idWPSmode").update("WPS stopped");
	else if (!bConfigured)
		$("idWPSmode").update("Unconfigured");
	else if (bInternalRegistrar)
		$("idWPSmode").update("Internal registrar");
	else
		$("idWPSmode").update("External registrar");

	//<% wsc_process(); %>
	if (!bWPS)
		$("idWPSstatus").update("");
	else
	{
		switch (<% nvram_get("wsc_proc_status"); %>)
		{
			case 1:
				$("idWPSstatus").update("WPS starting&hellip;");
				break;
			case 2:
				$("idWPSstatus").update("Success");
				break;
			case 3:
				$("idWPSstatus").update("Error: WPS message exchange error");
				break;
			case 4:
				$("idWPSstatus").update("Error: WPS timeout");
				break;
			default:
				$("idWPSstatus").update("Initializing&hellip;");
				break;
		}
	}

	$("wl_wsc_mode").checked = bWPS;
	$("wl_wsc_reg").checked = bInternalRegistrar;
	$("wsc_config_state").checked = bConfigured;


	var bAddER = ("<% nvram_get("wsc_addER"); %>" == "1");
	if (!bWPS || bInternalRegistrar || !bConfigured || bAddER)
		$("idBtnAddER").disable();
	if (!bAddER)
		$("idBtnComplete").disable();

	$("idForm").focusFirstElement();
}
	</script>
</head>
<body>
<script type="text/javascript">
	writeHeader("WPS Diagnostics");
</script>

<p>This page is for diagnostic purposes only.
USRobotics does not officially support this page.</p>

<p>Use this page to <a href="addclient.asp">add a wireless device</a>.</p>

<form id="idForm" action="apply.cgi" method="post">
<input type="hidden" name="page" value="wps.asp"/>
<input type="hidden" name="action" value="Save"/>
<input type="hidden" name="wl_unit" value="0"/>
<table>
	<tr>
		<td><label for="">Device PIN:</label></td>
		<td>
			<span class="clsStatic" id="wsc_device_pin"><% nvram_get("wsc_device_pin"); %></span>
			<input type="button" id="idBtnGenerate" value="Generate"/>
		</td>
	</tr>

	<tr>
		<td>Mode:</td><td id="idWPSmode"></td>
	</tr>
	<tr>
		<td>Status:</td><td id="idWPSstatus"></td>
	</tr>

	<tr><td colspan="2">
		<input type="checkbox" id="wl_wsc_mode" name="wl_wsc_mode"/> <label for="wl_wsc_mode">Use WPS</label>
	</td></tr>
	<tr><td colspan="2">
		<input type="checkbox" id="wl_wsc_reg" name="wl_wsc_reg"/> <label for="wl_wsc_reg"/>Use internal registrar</label>
	</td></tr>
	<tr><td colspan="2">
		<input type="checkbox" id="wsc_config_state" name="wsc_config_state"/> <label for="wsc_config_state">Configured</label>
	</td></tr>

	<tr>
		<td><label for="wsc_device_name">Device name:</label></td>
		<td><input type="text" size="40" maxlength="32" id="wsc_device_name" name="wsc_device_name" value="<% nvram_get("wsc_device_name"); %>"/></td>
	</tr>
</table>

	<p><input type="submit" id="idBtnSubmit" value=" Save "/></p>
</form>

<form>
	<p><input type="button" id="idBtnAddER" value="Add External Registrar"/>
		<input type="button" id="idBtnComplete" value="Done"/></p>
</form>

<p id="idStatus" style="border: 1px solid gray; padding: 0.5em; background-color: #EEE;"/>

<script type="text/javascript">
$("idForm").onsubmit = function()
{
// Until Prototype.js 1.5.1, we have to add hidden fields for cleared check boxes
// http://www.w3.org/TR/html4/interact/forms.html#h-17.13.2

	// Format checkboxes for device
	["wl_wsc_mode", "wl_wsc_reg"].each(function(elt)
	{
		// $(elt).value = ($(elt).checked ? "enabled" : "disabled");
		if ($(elt).checked)
			$(elt).value = "enabled";	// selected check boxes are auto-added
		else // we have to add cleared ones
			new Insertion.Top(this, "<input type='hidden' name='" + elt + "' value='disabled'/>");
	}.bind(this));

	// config state is 0 or 1
	if ($("wsc_config_state").checked)
		$("wsc_config_state").value = "1";	// selected check boxes are auto-added
	else // we have to add cleared ones
		new Insertion.Top(this, "<input type='hidden' name='wsc_config_state' value='0'/>");

	this.submit();
	return false;

/*Prototype.js 1.5.1
	var params = {};

	// Format checkboxes for device
	["wl_wsc_mode", "wl_wsc_reg"].each(function(elt)
	{
		// $(elt).value = ($(elt).checked ? "enabled" : "disabled");
		if ($(elt).checked)
			$(elt).value = "enabled";	// selected checkboxes are auto-added
		else
			params[elt] = "disabled";	// we have to add cleared ones
	});

	// config state is 0 or 1
	if ($("wsc_config_state").checked)
		$("wsc_config_state").value = "1";	// selected checkboxes are auto-added
	else
		params.wsc_config_state = "0";		// we have to add cleared ones

	$(this).request({ parameters: params });	// add cleared checkboxes
	return false;
*/
}

$("idBtnGenerate").onclick = function()
{
	new Ajax.Request("wps.cgi",
							{
								method:		"post",
								parameters:	{ action: "WPSPINGen" },
								onSuccess:	function(xhr)
								{
									var obj = getResponseText(xhr);
									if (obj == null)
										return;

									$("wsc_device_pin").update(obj.pin);

									waitForRestart("New PIN generated.", _doneGeneratingPIN);
								},
								onFailure:	function(xhr)
								{
									$("idStatus").update("Unable to generate new PIN.");
									$("idForm").enable();
								}
							});

	$("idStatus").show().update("Generating new PIN&hellip;");
	$("idForm").disable();
	return false;
}

function _doneGeneratingPIN()
{
	$("idForm").enable();
}

/*
	If WPS running, not internal registrar, and configured,
	let user add another external registrar--display AddER button.
		1. OnClick AddER button:
			a. Post wps.cgi?action=AddER
			b. Wait for restart
			c. Display Complete button
			d. OnClick Complete button
				i. Post wps.cgi?action=Complete
				ii. Wait for restart
*/
$("idBtnAddER").onclick = function()
{
	new Ajax.Request("wps.cgi",
							{
								method:		"post",
								parameters:	{ action: "AddER" },
								onSuccess:	function(xhr)
								{
									var obj = getResponseText(xhr);
									if (obj == null)
										return;

									if ((obj.state == undefined) || (obj.state != 2))
									{
										$(this.strIDStatus).update("Error: Unable to add another external registrar.");
										return;
									}

									// wait for the access point to reboot
									waitForRestart("Preparing to add external registrar.", _doneAddER);
								},
								onFailure:	function(xhr)
								{
									$("idStatus").update("Unable to add another external registrar.");
									$("idBtnAddER").enable();
								}
							});

	$("idStatus").show().update("Starting&hellip;");
	$("idBtnAddER").disable();
	return false;
}

function _doneAddER()
{
	$("idBtnComplete").enable();
}

$("idBtnComplete").onclick = function()
{
	new Ajax.Request("wps.cgi",
							{
								method:		"post",
								parameters:	{ action: "Complete" },
								onSuccess:	function(xhr)
								{
									// wait for the access point to reboot
									waitForRestart("Done adding external registrar.", _doneComplete);
								},
								onFailure:	function(xhr)
								{
									$("idStatus").update("Unable to add another external registrar.");
									$("idBtnComplete").enable();
								}
							});

	$("idStatus").show().update("Starting&hellip;");
	$("idBtnComplete").disable();
	return false;
}

function _doneComplete()
{
	$("idBtnAddER").enable();
}


function waitForRestart(strMessage, onComplete)
{
	var templateRestart = new Template(strMessage + " Please wait #{remaining} seconds while the access point restarts&hellip;");
	var templateRestart1 = new Template(strMessage + " Please wait #{remaining} second while the access point restarts&hellip;");
	new PeriodicalExecuter(function(objPE)
			{
				if (objPE.remaining == undefined)
					objPE.remaining = 20;
				else
					--objPE.remaining;

				if (objPE.remaining > 1)
					$("idStatus").update(templateRestart.evaluate(objPE));
				else if (objPE.remaining == 1)
					$("idStatus").update(templateRestart1.evaluate(objPE));
				else
				{
					objPE.stop();
					$("idStatus").update(strMessage + " Access point has restarted.");
					onComplete();
				}
			}, 1);	// every second
}
</script>

<script type="text/javascript">
	writeCopyright();
</script>
</body>
</html>
