<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>LAN :: USRobotics Wireless MAXg Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
function lease()
{	var value = <% nvram_get("lan_lease"); %>;
	var day = Math.floor(value / 86400);
	var rest = value % 86400;
	var hour = Math.floor(rest / 3600);
	rest = rest % 3600;
	var minutes = Math.floor(rest / 60);
	document.idForm.txtLeaseDays.value = day;
	document.idForm.txtLeaseHours.value = hour;
	document.idForm.txtLeaseMinutes.value = minutes;
}
//-->			
</script>
</head>
<script type="text/javascript">
	writeHeader();
</script>
 <body onload="setVisibility('idDHCP', document.idForm.chkDHCP.checked); lease(); tableInitializeRoutes();" onbeforeunload="verifyDeparture();">
<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">
   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>
	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.</p>
	<h1>IP Address</h1>
	<p>This is the address of the router on your network.
   It&rsquo;s the address you enter into your Web browser
   in order to access the router.</p>
	<h1>DHCP Server</h1>
	<p>This tells the router to assign IP addresses to any
	device that connects to it.
	The IP addresses can be restricted to a specific range.</p>
</div>
<form name="idForm" action="apply.cgi" method="post">
<input type="hidden" name="page" value="lan.asp">
<input type="hidden" name="wan_unit" value="0">
<input type="hidden" name="lan_lease" value="">
<input type="hidden" name="lan_proto" value="dhcp">
<input type="hidden" name="lan_stp" value="0">
<h3>IP Address</h3>
<p>If you modify the router&rsquo;s IP address, your browser will continue
to use the old IP address after you save your changes.
This means that you will need to enter the router&rsquo;s new IP address in
your browser after you save your changes in order to access the router again.
(First you may have to release and renew the IP addresses of all devices
connected to the router so they can acquire a new IP address and re-connect.
You can find information about this in the user manual on the installation CD-ROM.)</p>
<table border="0">
	<tr><td><label for="lan_ipaddr">IP address:</label></td>
		<td><input type="text" size="20" maxlength="15" id="lan_ipaddr" class="clsTextfield" name="lan_ipaddr" value="<% nvram_get("lan_ipaddr"); %>" onchange="lan_ipaddr_change(); bDirty = true;"></td></tr>
	<tr><td><label for="lan_netmask">Subnet mask:</label></td>
		<td><input type="text" size="20" maxlength="15" id="lan_netmask" class="clsTextfield" name="lan_netmask" value="<% nvram_get("lan_netmask"); %>" onchange="lan_ipaddr_change(); bDirty = true;"></td></tr>
	<tr><td><label for="lan_gateway">Gateway:</label></td>
		<td><input type="text" id="lan_gateway" class="clsTextfield" size="20" maxlength="15" name="lan_gateway" value="<% nvram_get("lan_gateway"); %>" onchange="bDirty = true;"></td></tr>
	<tr><td><label for="lan_dns">DNS server:</label></td>
		<td><input type="text" id="lan_dns" class="clsTextfield" size="20" maxlength="15" name="lan_dns" value="<% nvram_get("lan_dns"); %>" onchange="bDirty = true;"></td></tr>
</table>
<h3>DHCP Server</h3>
<p><input type="checkbox" id="chkDHCP" name="chkDHCP" <% nvram_match("lan_proto", "dhcp", "checked"); %> onclick="setVisibility('idDHCP', document.idForm.chkDHCP.checked);"> <label for="chkDHCP">DHCP server</label></p>
<div id="idDHCP">
<table><tr><td><label for="dhcp_start">IP range:</label></td>
		<td><input type="text" size="20" maxlength="15" id="dhcp_start" class="clsTextfield" name="dhcp_start" value="<% nvram_get("dhcp_start"); %>" onchange="bDirty = true;">
			<label>to</label>
			<input type="text" size="20" maxlength="15" id="txtIPrangeHigh" class="clsTextfield" name="dhcp_end" value="<% nvram_get("dhcp_end"); %>" onchange="bDirty = true;"></td></tr>
	<tr><td><label for="txtLeaseDays">Lease time:</td>
		<td><input type="text" size="3" maxlength="5" id="txtLeaseDays" class="clsTextfield" value="1" onchange="new_lease(0); bDirty = true;"> <label for="txtLeaseDays">days</label>
			<input type="text" size="3" maxlength="2" id="txtLeaseHours"   class="clsTextfield" value="0" onchange="new_lease(0); bDirty = true;"> <label for="txtLeaseHours">hours</label>
			<input type="text" size="3" maxlength="2" id="txtLeaseMinutes" class="clsTextfield" value="0" onchange="new_lease(0); bDirty = true;"> <label for="txtLeaseMinutes">minutes</label></td></tr>
	<tr><td><label for="wan_domain">Domain name:</label></td>
		<td><input type="text" size="20" id="wan_domain" class="clsTextfield" name="wan_domain" value="<% nvram_get("wan_domain"); %>" onchange="if (!isPrintable('Domain name', document.idForm.wan_domain)) return false; bDirty = true;"></td></tr>
</table>
</div>
<h3>802.1d</h3>
<p>You can find information about this advanced feature in the user manual on the installation CD-ROM.</p>
<p><input type="checkbox" id="lan_stp" name="lan_stp" value="1" <% nvram_match("lan_stp", "1", "checked"); %> onclick="bDirty = true;"> <label for="lan_stp">802.1d spanning tree protocol</label></p>
<h3>Static Routes</h3>
<p>You can find information about this advanced feature in the user manual on the installation CD-ROM.</p>
<div id="idTableRoutes">
	<!-- Content is added by script -->
</div>
<fieldset>
<legend>New Route</legend>
<table>
	<tr><td><label for="txtRouteIP">IP address:</label></td>
		<td><input type="text" id="txtRouteIP" class="clsTextfield" size="15" maxlength="15" onchange="bDirty = true;"/></td></td></tr>
	<tr><td><label for="txtRouteSubnet">Subnet mask:</label></td>
		<td><input type="text" id="txtRouteSubnet" class="clsTextfield" size="15" maxlength="15" onchange="bDirty = true;"/></td></td></tr>
	<tr><td><label for="txtRouteGateway">Gateway:</label></td>
		<td><input type="text" id="txtRouteGateway" class="clsTextfield" size="15" maxlength="15" onchange="bDirty = true;"/></td></td></tr>
	<tr><td><label for="txtRouteHops">Hops:</label></td>
		<td><input type="text" id="txtRouteHops" class="clsTextfield" size="15" maxlength="2" onchange="bDirty = true;"/></td></td></tr>
	<tr><td><input type="button" name="idBtnAddRoutes" id="idBtnAddRoutes" value=" Add " onclick="tableAddRowRoutes();"/></td><td></td></tr>
</table>
</fieldset>
<script type="text/javascript">
<!--
var objTableRoutes 	= new Object;
objTableRoutes.strThis	= "objTableRoutes";	// the text representation of this object's name
objTableRoutes.aRows	= new Array;		// the array of the row arrays for the table
function tableInitializeRoutes()
{	objTableRoutes.eltTable		= document.getElementById("idTableRoutes");
	objTableRoutes.eltBtnAdd	= document.getElementById("idBtnAddRoutes");
	objTableRoutes.strVarNameNum	= "lan_route";
	objTableRoutes.aVarNamePrefixes	= new Array("lan_route_ipaddr",
							"lan_route_netmask",
							"lan_route_gateway",
							"lan_route_metric");
	objTableRoutes.iMaxNumRows	= 16;
	objTableRoutes.fctFormatRow	= fctFormatRowText;
	objTableRoutes.aHeadings	= new Array(	"IP Address",
							"Subnet Mask",
							"Gateway",
							"Hops"
							);
	var aRouterData = new Array(	new Array("<% lan_route("ipaddr", 0); %>",  "<% lan_route("netmask", 0); %>",  "<% lan_route("gateway", 0); %>",  "<% lan_route("metric", 0); %>"),
					new Array("<% lan_route("ipaddr", 1); %>",  "<% lan_route("netmask", 1); %>",  "<% lan_route("gateway", 1); %>",  "<% lan_route("metric", 1); %>"),
					new Array("<% lan_route("ipaddr", 2); %>",  "<% lan_route("netmask", 2); %>",  "<% lan_route("gateway", 2); %>",  "<% lan_route("metric", 2); %>"),
					new Array("<% lan_route("ipaddr", 3); %>",  "<% lan_route("netmask", 3); %>",  "<% lan_route("gateway", 3); %>",  "<% lan_route("metric", 3); %>"),
					new Array("<% lan_route("ipaddr", 4); %>",  "<% lan_route("netmask", 4); %>",  "<% lan_route("gateway", 4); %>",  "<% lan_route("metric", 4); %>"),
					new Array("<% lan_route("ipaddr", 5); %>",  "<% lan_route("netmask", 5); %>",  "<% lan_route("gateway", 5); %>",  "<% lan_route("metric", 5); %>"),
					new Array("<% lan_route("ipaddr", 6); %>",  "<% lan_route("netmask", 6); %>",  "<% lan_route("gateway", 6); %>",  "<% lan_route("metric", 6); %>"),
					new Array("<% lan_route("ipaddr", 7); %>",  "<% lan_route("netmask", 7); %>",  "<% lan_route("gateway", 7); %>",  "<% lan_route("metric", 7); %>"),
					new Array("<% lan_route("ipaddr", 8); %>",  "<% lan_route("netmask", 8); %>",  "<% lan_route("gateway", 8); %>",  "<% lan_route("metric", 8); %>"),
					new Array("<% lan_route("ipaddr", 9); %>",  "<% lan_route("netmask", 9); %>",  "<% lan_route("gateway", 9); %>",  "<% lan_route("metric", 9); %>"),
					new Array("<% lan_route("ipaddr", 10); %>", "<% lan_route("netmask", 10); %>", "<% lan_route("gateway", 10); %>", "<% lan_route("metric", 10); %>"),
					new Array("<% lan_route("ipaddr", 11); %>", "<% lan_route("netmask", 11); %>", "<% lan_route("gateway", 11); %>", "<% lan_route("metric", 11); %>"),
					new Array("<% lan_route("ipaddr", 12); %>", "<% lan_route("netmask", 12); %>", "<% lan_route("gateway", 12); %>", "<% lan_route("metric", 12); %>"),
					new Array("<% lan_route("ipaddr", 13); %>", "<% lan_route("netmask", 13); %>", "<% lan_route("gateway", 13); %>", "<% lan_route("metric", 13); %>"),
					new Array("<% lan_route("ipaddr", 14); %>", "<% lan_route("netmask", 14); %>", "<% lan_route("gateway", 14); %>", "<% lan_route("metric", 14); %>"),
					new Array("<% lan_route("ipaddr", 15); %>", "<% lan_route("netmask", 15); %>", "<% lan_route("gateway", 15); %>", "<% lan_route("metric", 15); %>")
				);
	for (var row in aRouterData)
	{	if (aRouterData[row][0] == "")
			continue;
		objTableRoutes.aRows.push(aRouterData[row]);
	}
	tableDisplay(objTableRoutes);
}
function tableAddRowRoutes()
{	var aRowNew = new Array(document.idForm.txtRouteIP.value,
				document.idForm.txtRouteSubnet.value,
				document.idForm.txtRouteGateway.value,
				document.idForm.txtRouteHops.value
				);
	if (validateDataText(objTableRoutes, aRowNew))
		tableAddRow(objTableRoutes, aRowNew);
}
//-->
</script>
<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!isPrintable('Domain name', document.idForm.wan_domain)) return false; if (!new_lease(1)) return false; checkDHCP(); bDirty=false;"></p>
</form>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
