<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Internet :: USRobotics Wireless Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5466.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
function manageConnectionOptions()
{	var ixCxn = document.idForm.chkCxn.checked;
	var wanip = "<% nvram_get("wan0_ipaddr"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	var pppoe = document.idForm.chkStaticPPP.checked;
	
	setEnabled('wan_pppoe_idletime', ixCxn);
	setEnabled('idMins', ixCxn);
	if (pptp == "1")
		setVisibility('idPPTP', true);
	setVisibility('idStaticPPP', pppoe); 
}
function detect_wan()
{	var WanCNX = "<% wan_f_detection(); %>"; 
	var user = "<% nvram_get("wan0_pppoe_username"); %>";
	var pwd = "<% nvram_get("wan0_pppoe_passwd"); %>";
	if (WanCNX == "1")
	{
		setVisibility('idDetectDHCP', true);
		document.idForm.optModem[0].checked = true;
	}
	else if (WanCNX == "2")
	{
		if ((user =="") || (pwd == ""))
			setVisibility('idDetectPPPoEnopwd', true);
		else
			setVisibility('idDetectPPPoEpwd', true);
		document.idForm.optModem[1].checked = true;
	}
	else if (WanCNX == "3")
	{
		setVisibility('idDetectStatic', true);
		document.idForm.optModem[0].checked = true;
	}
	else
		setVisibility('idDetectUnknown', true);
	manageWANoptions();
	manageConnectionOptions();
}
function manageRemoteAccess()
{	var wanip = "<% nvram_get("wan0_ipaddr"); %>";
	var proto = "<% nvram_get("wan0_proto"); %>";
	var dns = "<% nvram_get("wan0_dns"); %>";
	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	var pptp_dns = "<% nvram_get("wan_pptp_dns"); %>";
	if ((proto == "pppoe") && (dns =="0.0.0.0 0.0.0.0 0.0.0.0"))
		wanip = "0.0.0.0";
	if ((pptp == "1") && (pptp_dns =="0.0.0.0 0.0.0.0 0.0.0.0"))	
		wanip = "0.0.0.0";
	if (wanip == "0.0.0.0")
	{	setEnabled('chkRemoteAccess', false);
		setEnabled('lblRemoteAccess', false);
		setVisibility('idNoWANIP', true);
	}
	else
	{	setVisibility('idNoWANIP', false);
		setEnabled('chkRemoteAccess', true);
		setEnabled('lblRemoteAccess', true);
		setVisibility('idRemoteAccess', document.idForm.chkRemoteAccess.checked);
		if (document.idForm.chkRemoteAccess.checked)
		{	if (document.idForm.http_wanport.value == "")
				document.idForm.http_wanport.value = "8080";
		}
		else
			document.idForm.http_wanport.value = "";
		updatePort();
	}
}
function updatePort()
{	var pptp = "<% nvram_get("wan_pptp_activated"); %>";
	if (pptp != "1") {
		document.getElementById('idRemoteAddress').innerHTML = "http://" + "<% nvram_get("wan0_ipaddr"); %>" + ":" + document.idForm.http_wanport.value;
	}else {
		document.getElementById('idRemoteAddress').innerHTML = "http://" + "<% nvram_get("wan_pptp_ipaddr"); %>" + ":" + document.idForm.http_wanport.value;
	}
}
function idletime()
{	var time = <% nvram_get("wan0_pppoe_idletime"); %>;
	document.idForm.wan_pppoe_idletime.value = time/60;
}
//-->
</script></head>

<body onload="detect_wan(); idletime(); manageRemoteAccess(); tableInitializeRoutes();" onbeforeunload="verifyDeparture();">
<script type="text/javascript">
	writeHeader();
</script>
<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">
   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>
	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.</p>
	<h1>Configure Internet Connection</h1>
   <p>This enables access to the Internet for devices that connect to the router.</p>
   <p>You may need to enter a <strong>user name</strong> and <strong>password</strong>
   (if your Internet Service Provider provided them and you haven't entered them elsewhere).</p>
	<p>You may need to enter information about your <strong>static IP address </strong>
	(if your ISP provided one, such as &ldquo;210.123.1.54&rdquo;).</p>
   <p>You may also need to change the router's <strong>MAC address</strong>
   or enter a <strong>host name</strong>.
   If you later need to restore the router's original MAC address,
   you will find it on the label on the underside of the router.</p>
   <p>If you have a working Internet connection through a
   computer connected to your DSL or cable modem, you have already entered
   these settings on that computer and should be able to determine them from
   your current configuration.
   If not, your ISP can provide you with this information.</p>
   <p>If you have a DSL PPPoE connection to the Internet, the router
	automatically maintains the connection. You can also choose to have the
	router automatically <strong>disconnect</strong> if the connection is
	inactive for a certain period of time. In that case, the router will
	automatically try to re-establish the DSL PPPoE connection when a
	device connected to the router accesses the Internet.</p>
	<p>In the uncommon event that your ISP uses PPTP to establish an
	Internet connection, you will need to enter some additional
	information so that the router can establish a connection with
	your ISP's PPTP server. This includes the domain name
	(or IP address) of the PPTP server, a user name and password,
	and an authentication method.</p>	
</div>
<form name="idForm" action="wan.asp" method="post">
<input type="hidden" name="page" value="wan.asp">
<input type="hidden" name="wan_unit" value="0">
<input type="hidden" name="wan_primary" value="1">
<input type="hidden" name="wan_proto" value="dhcp">
<input type="hidden" name="connection" value="keepalive">
<input type="hidden" name="wan_pptp_activated" value="0">
<input type="hidden" name="wan_pppoe_static" value="0">
<table class="clsGroupBox">
	<tr><td><input type="submit" name="Refresh" value="Detect Connection"></td>
		<td><p>Press the <strong>Detect Connection</strong> button and the
		router will attempt to detect the type of connection.</p></td></tr>
</table>
<div id="idDetectUnknown" style="display: none;" class="clsNotice">
	<p>The router is unable to detect an Internet connection at this time.
	You should check the router's and modem's connections or
	configure the settings manually below. Please be sure to follow the instructions
	in the Installation section of the user manual on the CD-ROM.
	It is important to power off the modem for at least one minute and
	then to power it on before powering on the router.</p>
</div>
<div id="idDetectDHCP" style="display: none;" class="clsNotice">
	<p>The router has automatically configured your Internet connection.</p>
</div>
<div id="idDetectStatic" style="display: none;" class="clsNotice">
	<p>You have manually configured a static IP address. If you are unable to access
	 the Internet, please verify the settings below.</p>
</div>
<div id="idDetectPPPoEnopwd" style="display: none;" class="clsNotice">
	<p>The router has detected a DSL connection (via a PPPoE server).
	You will need to enter your Internet Login (PPPoE) user name and password.</p>
</div>
<div id="idDetectPPPoEpwd" style="display: none;" class="clsNotice">
	<p>The router has detected a DSL connection (via a PPPoE server).
	You will need to ensure your Internet Login (PPPoE) user name and password are correct.</p>
</div>
<p><input type="radio" id="optCable" name="optModem" <% nvram_invmatch("wan0_proto", "pppoe", "checked"); %> onclick="manageWANoptions(); bDirty = true;"/> <label for="optCable">Cable, DSL router, satellite, ISDN, LAN, or other</label><br/>
	<input type="radio" id="optDSL" name="optModem" <% nvram_match("wan0_proto", "pppoe", "checked"); %> onclick="manageWANoptions(); idletime(); bDirty = true;" /> <label for="optDSL">DSL modem</label> <span class="clsNote">(also known as PPPoE)</span>
</p>
<div id="idADSLprompts">
   <h3>Internet Login (PPPoE)</h3> 
  <p>If your ISP provided a user name and password for your Internet connection, please
   enter them here.</p>
   <p>This is also known as a PPPoE connection.
   You should not enter your user name and password if you have PPPoA or
   if you have a DSL router (or another device, such as a VoIP gateway)
   that you've already configured with your user name and password.</p>
   <table border="0">
	   <tr><td><label for="wan_pppoe_username">User&nbsp;name:</label></td>
      	<td><input type="text" size="20" id="wan_pppoe_username" class="clsTextfield" name="wan_pppoe_username" value="<% nvram_get("wan0_pppoe_username"); %>" onchange="if (!isPrintable('User name', document.idForm.wan_pppoe_username)) return false; bDirty = true;"></td></tr>
	   <tr><td><label for="wan_pppoe_passwd">Password:</label></td>
      	<td><input type="text" size="20" id="wan_pppoe_passwd" class="clsTextfield" name="wan_pppoe_passwd" value="<% nvram_get("wan0_pppoe_passwd"); %>" onchange="if (!isPrintable('Password', document.idForm.wan_pppoe_passwd)) return false; bDirty = true;"></td></tr>
  </table>
   <h3>Internet Connection (PPPoE)</h3>
	<p><input type="checkbox" name="chkCxn" id="chkCxn" <% nvram_match("connection", "demand", "checked"); %> onclick="manageConnectionOptions(); bDirty = true;">
		<label for="chkCxn">Disconnect if inactive for</label> <input type="text" size="5" maxlength="6" class="clsTextfield" name="wan_pppoe_idletime" id="wan_pppoe_idletime" value="1" onchange="bDirty = true;"> <label for="wan_pppoe_idletime" name="idMins" id="idMins">minutes</label></p>
	<p><input type="checkbox" id="chkStaticPPP" name="chkStaticPPP" <% nvram_match("wan0_pppoe_static", "1", "checked"); %> onclick="setVisibility('idStaticPPP', document.idForm.chkStaticPPP.checked); bDirty = true;">
	<label for="chkStaticPPP">My ISP provided an IP address for my Internet connection (such as &ldquo;210.123.1.54&rdquo;).</label></p>
   	<table border="0">
		<tr id="idStaticPPP"><td><label for="wan_pppoe_ipaddr">Static IP address:</label></td>
        	 <td><input type="text" size="20" id="wan_pppoe_ipaddr" class="clsTextfield" name="wan_pppoe_ipaddr" value="<% nvram_get("wan0_pppoe_ipaddr"); %>" onchange="bDirty = true;"></td></tr>
		<tr><td><label for="wan_pppoe_service">Service name:</label></td>
			<td><input type="text" size="20" class="clsTextfield" id="wan_pppoe_service" name="wan_pppoe_service" value="<% nvram_get("wan0_pppoe_service"); %>" onchange="if (!isPrintable('Service name', document.idForm.wan_pppoe_service)) return false; bDirty = true;"></td></tr>
		<tr><td><label for="wan_pppoe_mru">MRU:</label></td>
			<td><input type="text" size="20" maxlength="5" id="wan_pppoe_mru" class="clsTextfield" name="wan_pppoe_mru" value="<% nvram_get("wan0_pppoe_mru"); %>" onchange="bDirty = true;"> <label>bytes</label></td></tr>
		<tr><td><label for="wan_pppoe_mtu">MTU:</label></td>
			<td><input type="text" size="20" maxlength="5" id="wan_pppoe_mtu" class="clsTextfield" name="wan_pppoe_mtu" value="<% nvram_get("wan0_pppoe_mtu"); %>" onchange="bDirty = true;"> <label>bytes</label></td></tr>
	</table>
</div>  
<div id="idCablePrompts">
<h3>Static IP Address</h3>
<p><input type="checkbox" id="chkHaveStaticIP" name="chkHaveStaticIP" <% nvram_match("wan0_proto", "static", "checked"); %> onclick="setVisibility('idStaticIPfields', document.idForm.chkHaveStaticIP.checked); bDirty = true;">
	<label for="chkHaveStaticIP">My ISP provided an IP address for my Internet connection (such as &ldquo;210.123.1.54&rdquo;).</label></p>
   <div id="idStaticIPfields">
   <table border="0">
      <tr><td><label for="wan_ipaddr">Static IP address:</label></td>
         <td><input type="text" size="20" id="wan_ipaddr" class="clsTextfield" name="wan_ipaddr" value="<% nvram_get("wan0_ipaddr"); %>" onchange="bDirty = true;"></td></tr>
		<tr><td><label for="wan_netmask">Subnet mask:</label></td>
			<td><input type="text" size="20" maxlength="15" id="wan_netmask" class="clsTextfield" name="wan_netmask" value="<% nvram_get("wan0_netmask"); %>" onchange="bDirty = true;"></td></tr>
		<tr><td><label for="wan_gateway">Gateway:</label></td>
			<td><input type="text" size="20" maxlength="15" id="wan_gateway" class="clsTextfield" name="wan_gateway" value="<% nvram_get("wan0_gateway"); %>" onchange="bDirty = true;"></td></tr>
		<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
		<tr><td><input type="hidden" name="wan_dns" value="3"><label for="wan_dns0">DNS servers:</label></td>
		<td><input type="text" size="20" maxlength="15" id="wan_dns0" class="clsTextfield" name="wan_dns0" value="<% nvram_list("wan0_dns", 0); %>" onchange="bDirty = true;"></td></tr>
	<tr><td class="clsLabel"></td>
		<td><input type="text" size="20" maxlength="15" id="wan_dns1" class="clsTextfield" name="wan_dns1" value="<% nvram_list("wan0_dns", 1); %>" onchange="bDirty = true;"></td></tr>
	<tr><td class="clsLabel"></td>
		<td><input type="text" size="20" maxlength="15" id="wan_dns2" class="clsTextfield" name="wan_dns2" value="<% nvram_list("wan0_dns", 2); %>" onchange="bDirty = true;"></td></tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
	<tr><td><input type="hidden" name="wan_wins" value="3"><label for="wan_wins0">WINS servers:</label></td>
		<td><input type="text" size="20" maxlength="15" id="wan_wins0" class="clsTextfield" name="wan_wins0" value="<% nvram_list("wan0_wins", 0); %>" onchange="bDirty = true;"></td></tr>
	<tr><td class="clsLabel"></td>
		<td><input type="text" size="20" maxlength="15" id="wan_wins1" class="clsTextfield" name="wan_wins1" value="<% nvram_list("wan0_wins", 1); %>" onchange="bDirty = true;"></td></tr>
	<tr><td class="clsLabel"></td>
		<td><input type="text" size="20" maxlength="15" id="wan_wins2" class="clsTextfield" name="wan_wins2" value="<% nvram_list("wan0_wins", 2); %>" onchange="bDirty = true;"></td></tr>
   </table></div>
</div>
<h3>Point-to-Point Tunneling (PPTP)</h3>
<p>If your ISP provided you with information about using the
Point-to-Point Tunneling Protocol (PPTP) to establish a
Virtual Private Network (VPN) to connect to the Internet, enter it here.
(This is not common.)</p>
<p><input type="checkbox" name="chkUsePPTP" id="chkUsePPTP" <% nvram_match("wan_pptp_activated", "1", "checked"); %> onclick="setVisibility('idPPTP', document.idForm.chkUsePPTP.checked); bDirty = true;">
	<label for="chkUsePPTP">My ISP uses a PPTP connection.</label></p>
<div id="idPPTP" style="display: none;">
	<table border="0">
	   <tr><td valign="top"><label for="wan_pptp_server">Domain:</label></td>
	   	<td><input type="text" size="20" name="wan_pptp_server" id="wan_pptp_server" class="clsTextfield" value="<% nvram_get("wan_pptp_server"); %>" onchange="if (!isPrintable('Domain', document.idForm.wan_pptp_server)) return false; bDirty = true;"><br/>
	   	<span class="clsNote">(Enter a domain&mdash;such as &ldquo;myisp.com&rdquo;&mdash;or an IP address.)</span></td></tr>
	   <tr><td><label for="wan_pptp_username">User&nbsp;name:</label></td>
	   	<td><input type="text" size="20" name="wan_pptp_username" id="wan_pptp_username" class="clsTextfield" value="<% nvram_get("wan_pptp_username"); %>" onchange="if (!isPrintable('User name', document.idForm.wan_pptp_username)) return false; bDirty = true;"></td></tr>
	   <tr><td><label for="wan_pptp_passwd">Password:</label></td>
	   	<td><input type="text" size="20" name="wan_pptp_passwd" id="wan_pptp_passwd" class="clsTextfield" value="<% nvram_get("wan_pptp_passwd"); %>" onchange="if (!isPrintable('Password', document.idForm.wan_pptp_passwd)) return false; bDirty = true;"></td></tr>
	</table>
	<p>Please select the supported authentication methods.
	If you're not sure, you can keep the defaults.</p>
	<p><input type="checkbox" name="pptp_chap" id="pptp_chap" <% nvram_list("wan_pptp_auth", 1, "1", "checked"); %> onchange="bDirty = true;"> <label for="pptp_chap">CHAP</label><br/>
		<input type="checkbox" name="pptp_mschap" id="pptp_mschap" <% nvram_list("wan_pptp_auth", 2, "1", "checked"); %> onchange="bDirty = true;"> <label for="pptp_mschap">MSCHAP</label><br/>
		<input type="checkbox" name="pptp_mschapv2" id="pptp_mschapv2" <% nvram_list("wan_pptp_auth", 3, "1", "checked"); %> onchange="bDirty = true;"> <label for="pptp_mschapv2">MSCHAP-V2</label><br/>
		<input type="checkbox" name="pptp_pap" id="pptp_pap" <% nvram_list("wan_pptp_auth", 0, "1", "checked"); %> onchange="bDirty = true;"> <label for="pptp_pap">PAP</label> <span class="clsNote">(not common)</span></p></p>
	<p><label for="wan_pptp_mtu">MTU:</label>
		<input type="text" size="4" maxlength="5" name="wan_pptp_mtu" id="wan_pptp_mtu" class="clsTextfield" value="<% nvram_get("wan_pptp_mtu"); %>" onchange="bDirty = true;"> <label>bytes</label></p>
	<p><label for="wan_pptp_mru">MRU:</label>
		<input type="text" size="4" maxlength="5" name="wan_pptp_mru" id="wan_pptp_mru" class="clsTextfield" value="<% nvram_get("wan_pptp_mru"); %>" onchange="bDirty = true;"> <label>bytes</label></p>
</div>
<h3>Host Name</h3>
<p>If your ISP provided you with a host name, enter it here.</p>
<p><label for="wan_hostname">Host name:</label> <input type="text" size="20" id="wan_hostname" maxlength="100" class="clsTextfield" name="wan_hostname" value="<% nvram_get("wan0_hostname"); %>" onchange="if (!isPrintable('Host name', document.idForm.wan_hostname)) return false; bDirty = true;"></p>
<h3>Clone MAC&nbsp;address</h3>
<p>Your ISP may require you to change the router's <strong>MAC address</strong>
to match the address of another computer.
If that computer is already connected to the router, you can select its MAC address
from the list. Otherwise, you can enter an address in the field below.</p>
<table border="0">
	<tr valign="center">
		<td><label for="clone_hwaddr">Router:</label>
			<input type="text" size="20" maxlength="17" id="clone_hwaddr" class="clsTextfield" name="clone_hwaddr" value="<% nvram_get("wan0_hwaddr"); %>" onchange="validateMAC(document.idForm.clone_hwaddr.value); normalizeMAC(document.idForm.clone_hwaddr.value); bDirty = true;"></td>
		<td><table class="clsGroupBox"><tr><td>
			<label>Client devices:</label><br/>
			<select id="cbClientDevices" onchange="document.idForm.clone_hwaddr.value = document.idForm.cbClientDevices.options[document.idForm.cbClientDevices.selectedIndex].value; bDirty = true;">
				<option value = "<% nvram_get("wan0_hwaddr"); %>">Router (<% nvram_get("wan0_hwaddr"); %>) </option>
				<% lan_clients(); %>
			</select></td></tr></table></td></tr>
</table>
<h3>Remote Access</h3>
<p>If you want to be able to access your router from outside the LAN, you can enter a port here.
You will then be able to access your router through its WAN IP address and that port.</p>
<p><input type="checkbox" name="chkRemoteAccess" id="chkRemoteAccess" <% nvram_invmatch("http_wanport", "", "checked"); %> onclick="manageRemoteAccess();bDirty = true;">
	<label for="chkRemoteAccess" name="lblRemoteAccess" id="lblRemoteAccess">Allow access to this router from the Internet</label></p>
<div id="idNoWANIP" style="display: none;" class="clsNotice">
	<p>Remote access is currently unavailable because there is no connection to the Internet.</p>
</div>
<div id="idRemoteAccess" style="display: none;">
	<p><label for="http_wanport">Port:</label> <input type="text" class="clsTextfield" size="5" maxlength="5" id="http_wanport" name="http_wanport" value="<% nvram_get("http_wanport"); %>" onchange="updatePort();bDirty = true;">
	<span class="clsNote">(must be between 1 and 65535)</span></p>
	<p>Remote address: <span class="clsStatic" id="idRemoteAddress"></span></p>
</div>
<h3>Static Routes</h3>
<p>You can find information about this advanced feature in the user manual on the installation CD-ROM.</p>
<div id="idTableRoutes">
	<!-- Content is added by script -->
</div>
<fieldset>
<legend>New Route</legend>
<table>
	<tr><td><label for="txtRouteIP">IP address:</label></td>
		<td><input type="text" id="txtRouteIP" class="clsTextfield" size="15" maxlength="15" onchange="bDirty = true;"></td></td></tr>
	<tr><td><label for="txtRouteSubnet">Subnet mask:</label></td>
		<td><input type="text" id="txtRouteSubnet" class="clsTextfield" size="15" maxlength="15" onchange="bDirty = true;"></td></td></tr>
	<tr><td><label for="txtRouteGateway">Gateway:</label></td>
		<td><input type="text" id="txtRouteGateway" class="clsTextfield" size="15" maxlength="15" onchange="bDirty = true;"></td></td></tr>
	<tr><td><label for="txtRouteHops">Hops:</label></td>
		<td><input type="text" id="txtRouteHops" class="clsTextfield" size="15" maxlength="2" onchange="bDirty = true;"></td></td></tr>
	<tr><td><input type="button" name="idBtnAddRoutes" id="idBtnAddRoutes" class="clsSmall" value=" Add " onclick="tableAddRowRoutes();"></td><td></td></tr>
</table>
</fieldset>
<script type="text/javascript">
<!--
var objTableRoutes = {};
objTableRoutes.strThis = "objTableRoutes";	// the text representation of this object's name
objTableRoutes.aRows = [];		// the array of the row arrays for the table
function tableInitializeRoutes()
{	objTableRoutes.eltTable = document.getElementById("idTableRoutes");	// id of table's DIV
	objTableRoutes.eltBtnAdd = document.getElementById("idBtnAddRoutes");	// Add button
	objTableRoutes.strVarNameNum = "wan_route";					// name of form field for # rows
	objTableRoutes.aVarNamePrefixes = [ "wan_route_ipaddr", "wan_route_netmask", "wan_route_gateway", "wan_route_metric" ];
	objTableRoutes.iMaxNumRows = 16;
	objTableRoutes.fctFormatRow = fctFormatRowText;
	objTableRoutes.aHeadings = [ "IP Address", "Subnet Mask", "Gateway", "Hops" ];
	var aRouterData =
	[
		[ "<% wan_route("ipaddr", 0); %>",  "<% wan_route("netmask", 0); %>",  "<% wan_route("gateway", 0); %>",  "<% wan_route("metric", 0); %>" ],
		[ "<% wan_route("ipaddr", 1); %>",  "<% wan_route("netmask", 1); %>",  "<% wan_route("gateway", 1); %>",  "<% wan_route("metric", 1); %>" ],
		[ "<% wan_route("ipaddr", 2); %>",  "<% wan_route("netmask", 2); %>",  "<% wan_route("gateway", 2); %>",  "<% wan_route("metric", 2); %>" ],
		[ "<% wan_route("ipaddr", 3); %>",  "<% wan_route("netmask", 3); %>",  "<% wan_route("gateway", 3); %>",  "<% wan_route("metric", 3); %>" ],
		[ "<% wan_route("ipaddr", 4); %>",  "<% wan_route("netmask", 4); %>",  "<% wan_route("gateway", 4); %>",  "<% wan_route("metric", 4); %>" ],
		[ "<% wan_route("ipaddr", 5); %>",  "<% wan_route("netmask", 5); %>",  "<% wan_route("gateway", 5); %>",  "<% wan_route("metric", 5); %>" ],
		[ "<% wan_route("ipaddr", 6); %>",  "<% wan_route("netmask", 6); %>",  "<% wan_route("gateway", 6); %>",  "<% wan_route("metric", 6); %>" ],
		[ "<% wan_route("ipaddr", 7); %>",  "<% wan_route("netmask", 7); %>",  "<% wan_route("gateway", 7); %>",  "<% wan_route("metric", 7); %>" ],
		[ "<% wan_route("ipaddr", 8); %>",  "<% wan_route("netmask", 8); %>",  "<% wan_route("gateway", 8); %>",  "<% wan_route("metric", 8); %>" ],
		[ "<% wan_route("ipaddr", 9); %>",  "<% wan_route("netmask", 9); %>",  "<% wan_route("gateway", 9); %>",  "<% wan_route("metric", 9); %>" ],
		[ "<% wan_route("ipaddr", 10); %>", "<% wan_route("netmask", 10); %>", "<% wan_route("gateway", 10); %>", "<% wan_route("metric", 10); %>" ],
		[ "<% wan_route("ipaddr", 11); %>", "<% wan_route("netmask", 11); %>", "<% wan_route("gateway", 11); %>", "<% wan_route("metric", 11); %>" ],
		[ "<% wan_route("ipaddr", 12); %>", "<% wan_route("netmask", 12); %>", "<% wan_route("gateway", 12); %>", "<% wan_route("metric", 12); %>" ],
		[ "<% wan_route("ipaddr", 13); %>", "<% wan_route("netmask", 13); %>", "<% wan_route("gateway", 13); %>", "<% wan_route("metric", 13); %>" ],
		[ "<% wan_route("ipaddr", 14); %>", "<% wan_route("netmask", 14); %>", "<% wan_route("gateway", 14); %>", "<% wan_route("metric", 14); %>" ],
		[ "<% wan_route("ipaddr", 15); %>", "<% wan_route("netmask", 15); %>", "<% wan_route("gateway", 15); %>", "<% wan_route("metric", 15); %>" ]
	];
	for (var row in aRouterData)
	{	if (aRouterData[row][0] == "")
			continue;
		objTableRoutes.aRows.push(aRouterData[row]);
	}
	tableDisplay(objTableRoutes);
}
function tableAddRowRoutes()
{	var aRowNew =
	[
		document.idForm.txtRouteIP.value,
		document.idForm.txtRouteSubnet.value,
		document.idForm.txtRouteGateway.value,
		document.idForm.txtRouteHops.value
	];
	if (validateDataText(objTableRoutes, aRowNew))
		tableAddRow(objTableRoutes, aRowNew);
}
//-->
</script>

<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!isPrintable('User name', document.idForm.wan_pppoe_username)) return false; if (!isPrintable('Password', document.idForm.wan_pppoe_passwd)) return false; if (!isPrintable('Service name', document.idForm.wan_pppoe_service)) return false;
 if (!isPrintable('Domain', document.idForm.wan_pptp_server)) return false; if (!isPrintable('Host name', document.idForm.wan_hostname)) return false; if (!isPrintable('User name', document.idForm.wan_pptp_username)) return false; if (!isPrintable('Password', document.idForm.wan_pptp_passwd)) return false;
 setup_wanproto(1); bDirty = false;"></p>
</form>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
